Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.mfd.api
Interface TableListener

    public interface TableListener

This interface represents table events listener.

User: MMarkelov Date: 12.10.12 Time: 13:31:03

Method Summary
`void` | `onClear(java.lang.String tableName)` This callback is called when all data have been cleared by the server.
`void` | `onClose(java.lang.String tableName)` Indicates that this `Table` object been disconnected from the `SrvrSession`.
`void` | `onData(java.lang.String code, java.lang.String tableName, java.util.List<Row> rows)` This callback is called in response of invocation getSlice or getData methods of `Table`.
`void` | `onDataComplete(java.lang.String code, java.lang.String tableName)` This callback indicates that request with given code is complete.
`void` | `onDelete(java.lang.String tableName, java.lang.Long recid)` This callback is called when some data was removed from the table.
`void` | `onInsert(java.lang.String tableName, Row row)` This callback is called when some data by subscription received.
`void` | `onModify(java.lang.String tableName, Row row)` This callback is called when some data was modified in the table.
`void` | `onPartInsert(java.lang.String tableName, Row row)` This callback is called when some data by subscription received.

Method Detail

### onData

    void onData(java.lang.String code,
                java.lang.String tableName,
                java.util.List<Row> rows)

  This callback is called in response of invocation getSlice or getData methods of `Table`.

  Parameters:
    `code` - request id generated by `Table` getSlice or getData methods.
    `tableName` - name of the table.
    `rows` - data rows.

### onDataComplete

    void onDataComplete(java.lang.String code,
                        java.lang.String tableName)

  This callback indicates that request with given code is complete.

  Parameters:
    `code` - request id generated by `Table` getSlice or getData methods.
    `tableName` - name of the table.

### onInsert

    void onInsert(java.lang.String tableName,
                  Row row)

  This callback is called when some data by subscription received.

  Parameters:
    `tableName` - name of the table.
    `row` - data row.

### onPartInsert

    void onPartInsert(java.lang.String tableName,
                      Row row)

  This callback is called when some data by subscription received. It's called only if client set partInsert property of `SrvrSession` to true. Valid for Quotes and AllTrades tables.

  Parameters:
    `tableName` - name of the table.
    `row` - data row.

### onModify

    void onModify(java.lang.String tableName,
                  Row row)

  This callback is called when some data was modified in the table. Row always contains key field (the first one, usually it's I_RID) and the number of fields been changed. For addressed tables client code field I_CLIENT_NAME included as well.

  Parameters:
    `tableName` - name of the table.
    `row` - update data row.

### onDelete

    void onDelete(java.lang.String tableName,
                  java.lang.Long recid)

  This callback is called when some data was removed from the table.

  Parameters:
    `tableName` - name of the table.
    `recid` - key field (the first one, usually it's I_RID).

### onClear

    void onClear(java.lang.String tableName)

  This callback is called when all data have been cleared by the server.

  Parameters:
    `tableName` - name of the table.

### onClose

    void onClose(java.lang.String tableName)

  Indicates that this `Table` object been disconnected from the `SrvrSession`.

  Parameters:
    `tableName` - name of the table.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2015 IFH-InfoCentre, Ltd.